# Generated by Django 3.2.7 on 2021-09-21 18:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('greenLab', '0003_tiposensor'),
    ]

    operations = [
        migrations.CreateModel(
            name='Sensor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descripcion', models.CharField(default='Sin descripcion', max_length=50)),
                ('valor', models.DecimalField(decimal_places=2, default='0', max_digits=8)),
                ('factorCorreccion', models.DecimalField(decimal_places=2, default='0', max_digits=8)),
                ('factorMultiplicacion', models.DecimalField(decimal_places=2, default='1', max_digits=8)),
                ('ultimo_cambio', models.DateTimeField(blank=True, null=True)),
                ('controlador', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='greenLab.controlador')),
                ('tipoSensor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='greenLab.tiposensor')),
            ],
            options={
                'verbose_name': 'Sensor',
                'verbose_name_plural': 'Sensores',
            },
        ),
    ]
